#!/bin/sh
#echo F00.boot
#dd if=/dev/nrmt0h bs=512 of=F00.boot
#
#echo F01.vmunix
#dd if=/dev/nrmt0h bs=512 of=F01.vmunix
#
#echo f02.root.dump
#dd if=/dev/nrmt0h bs=10240 of=f02.root
#
#echo f03.instctrl.tar
#dd if=/dev/nrmt0h bs=10240 of=f03.instctrl.tar

i=$1

while true
do
    if [ $i -lt 10 ]
    then
	num="0$i"
    else
	num=$i
    fi

    name=f$num.tar.Z

    echo $name

    dd if=/dev/nrmt0h bs=10240 of=$name ||
    {
	exit
	mt -f /dev/nrmt0h rewoffl
    }

    i=`expr $i + 1`
done

